{"x-generator":"NSwag v13.8.2.0 (NJsonSchema v10.3.2.0 (Newtonsoft.Json v12.0.0.0))","openapi":"3.0.0","info":{"title":"1st Digital Trust Partner API","description":"# Overview\n\nThe Smart Trust platform offers several options for integrations with external systems. \nThis document aims to provide all of the information needed for developers to use Legacy Trust's \nresources, be it server based or client-side.\n\n# RESTful API\n\nThis API is organized around the REST design pattern. Our API has predictable, resource-oriented URLs, \nand uses HTTP response codes to indicate API errors. We use built-in HTTP features, like HTTP authentication \nand HTTP verbs, which are understood by off-the-shelf HTTP clients. We support cross-origin resource sharing, \nallowing you to interact securely with our API from a client-side web application (though you should never \nexpose your secret API key in any public website's client-side code). JSON is returned by all API responses, \nincluding errors.\n\n# Data Formats\n\n## Dates and times\n\nAll date and time values are in [UTC time zone](https://en.wikipedia.org/wiki/Coordinated_Universal_Time). Date, time and duration values are represented according to [ISO 8601](https://www.ietf.org/rfc/rfc3339.txt). \n\nThis API does not support the 24:00:00 notation of time values. Time is allowed to be at a maximum of 23:59:59, not 24:00:00. \n\n## Currency\n\nAll currency fields must be compliant with 3-letter codes as defined by ISO 4217.\n\n## Country codes\n\nAll country codes provided in your requests be compliant with ISO 3166-1 Alpha-3 standard.\n\n# API versioning\n\nThe  `api-version`  request header specifies the version of the API platform that should process the request. Sending this header with each API request ensures that your integration will continue to work in the way it was designed, and will not be negatively affected by future upgrades that could potentially break it.\n\nTo ensure that your request uses the correct API version, make sure to include the api-version header in all API requests. If the api-version header is not included in an API request, then 1.0.0 is used as the default API version.\n\n# Errors\n\nPartenr API follow's the error response format proposed in RFC 7807 also known as Problem Details for HTTP APIs. As with our normal API responses, your client must be prepared to gracefully handle additional members of the response.","termsOfService":"Term of service","contact":{"name":"API Support","email":"api@smarttrust.app"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"},"version":"v1.0","x-logo":{"url":"https://d2h34efjour0zq.cloudfront.net/brand/fdt-logo.svg","altText":"1st Digital Trust"}},"servers":[{"url":"https://fdt-partner-api.smarttrust.welton.ee"}],"paths":{"/agreements":{"get":{"tags":["Agreements"],"summary":"List of Agreements dtos.","operationId":"Agreements_GetByPlaceholder","parameters":[{"name":"placeholder","in":"query","required":true,"description":"Placeholder Code.","schema":{"type":"string","nullable":true},"x-position":1}],"responses":{"200":{"description":"List of Agreements dtos.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AgreementDto"}}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/application-form/create-individual":{"post":{"tags":["Application Form"],"summary":"Create individual application.","description":"Creates a new application.","operationId":"ApplicationForm_CreateIndividual","requestBody":{"x-name":"model","description":"Application data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewIndividualApplicationDto"}}},"required":true,"x-position":1},"responses":{"200":{"description":"Created. The request has been fulfilled and has resulted in one resource being created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewApplicationResponseDto"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/application-form/create-institution":{"post":{"tags":["Application Form"],"summary":"Create institution application.","description":"Creates a new application.","operationId":"ApplicationForm_CreateInstitution","requestBody":{"x-name":"model","description":"Application data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewInstitutionApplicationDto"}}},"required":true,"x-position":1},"responses":{"200":{"description":"Created. The request has been fulfilled and has resulted in one resource being created.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/NewApplicationResponseDto"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/application-form/application-list":{"get":{"tags":["Application Form"],"summary":"Get applications.","description":"Get list of applications.","operationId":"ApplicationForm_GetApplications","responses":{"200":{"description":"Return application list","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ApplicationsListItem"}}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/application-form/application-by-reference":{"get":{"tags":["Application Form"],"summary":"Get application by reference.","operationId":"ApplicationForm_GetApplicationByReference","parameters":[{"name":"reference","in":"query","required":true,"description":"Application reference.","schema":{"type":"string"},"x-position":1}],"responses":{"200":{"description":"Return application by reference","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplicationsListItem"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"Application not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/application-form/status":{"get":{"tags":["Application Form"],"summary":"Get application status by reference.","operationId":"ApplicationForm_GetApplicationStatus","parameters":[{"name":"reference","in":"query","required":true,"description":"Application reference.","schema":{"type":"string"},"x-position":1}],"responses":{"200":{"description":"Application form status","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApplicationStatusResponse"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"Application not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/application-form/verify/email":{"get":{"tags":["Application Form"],"summary":"Get applicant e-mail address by form id.","operationId":"ApplicationForm_GetEmail","parameters":[{"name":"formId","in":"header","required":true,"description":"Application form id.","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"E-mail address of the applicant","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegalEntityEmailAddressResponse"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"Email not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}}},"/application-form/verify/phone":{"get":{"tags":["Application Form"],"summary":"Get phone of the form.","description":"Retrieves a phone for application","operationId":"ApplicationForm_GetPhone","parameters":[{"name":"formId","in":"header","required":true,"description":"Application form id.","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"Phone of the applicant.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegalEntityPhoneNumberResponse"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/application-form/account":{"post":{"tags":["Application Form"],"summary":"Add bank account to the form.","operationId":"ApplicationForm_AddBankAccount","parameters":[{"name":"formId","in":"header","required":true,"description":"Application form id.","schema":{"type":"integer","format":"int32"},"x-position":1}],"requestBody":{"x-name":"dto","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AddBankAccountDto"}}},"required":true,"x-position":2},"responses":{"200":{"description":"Ok. Everything worked as expected."},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/application-form/sign":{"post":{"tags":["Application Form"],"summary":"Adds services and sign application.","operationId":"ApplicationForm_Sign","parameters":[{"name":"formId","in":"header","required":true,"description":"Application form id.","schema":{"type":"integer","format":"int32"},"x-position":1}],"requestBody":{"x-name":"dto","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetServicePackagesDto"}}},"required":true,"x-position":2},"responses":{"200":{"description":"Ok. Everything worked as expected."},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Internal server error.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/application-form/upload-temp":{"post":{"tags":["Application Form"],"summary":"Upload files to temp storage","operationId":"ApplicationForm_UploadFileTemporary","requestBody":{"x-name":"dto","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadFileDto"}}},"required":true,"x-position":1},"responses":{"200":{"description":"Supporting Document","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TemporaryUploadedFileDto"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/application-form/documents":{"get":{"tags":["Application Form"],"summary":"Retrieves supporting documents: IdentityProof and AddressProof TemporaryUploadedFiles.","operationId":"ApplicationForm_GetSupportingDocuments","parameters":[{"name":"formId","in":"header","required":true,"description":"Application form id.","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"Return supporting document","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SupportinDocumentsResponse"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}},"post":{"tags":["Application Form"],"summary":"Updates supporting document.","operationId":"ApplicationForm_UploadSupportingDocument","parameters":[{"name":"formId","in":"header","required":true,"description":"Application form id.","schema":{"type":"integer","format":"int32"},"x-position":2}],"requestBody":{"x-name":"dto","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UploadDocumentRequest"}}},"required":true,"x-position":1},"responses":{"200":{"description":"Ok. Everything worked as expected."},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}},"delete":{"tags":["Application Form"],"summary":"Deletes supporting document.","operationId":"ApplicationForm_DeleteSupportingDocument","parameters":[{"name":"formId","in":"header","required":true,"description":"Application form id.","schema":{"type":"integer","format":"int32"},"x-position":1},{"name":"documentTypeGroup","in":"query","description":"Can only delete AddressProof and IdentityProof","schema":{"$ref":"#/components/schemas/DocumentTypeGroup"},"x-position":2}],"responses":{"200":{"description":"Ok. Everything worked as expected."},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/application-form/documents/download":{"get":{"tags":["Application Form"],"summary":"Retrieves file by S3 key.","operationId":"ApplicationForm_GetFile","parameters":[{"name":"key","in":"query","required":true,"description":"S3 key.","schema":{"type":"string"},"x-position":1}],"responses":{"200":{"description":"File stream","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/application-form/address-proof-types":{"get":{"tags":["Application Form"],"summary":"Address proof types.","operationId":"ApplicationForm_GetAddressProofTypes","responses":{"200":{"description":"List of document type","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EnumTypeDisplayDtoOfDocumentType"}}}}}}}},"/application-form/identity-proof-types":{"get":{"tags":["Application Form"],"summary":"Identity proof types.","operationId":"ApplicationForm_GetIdentityProofTypes","responses":{"200":{"description":"List of document type","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/EnumTypeDisplayDtoOfDocumentType"}}}}}}}},"/bank-accounts":{"post":{"tags":["Bank Accounts"],"summary":"Create a bank account","description":"Creates new client bank account.","operationId":"BankAccounts_AddBankAccount","requestBody":{"x-name":"dto","description":"Bank account model","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateBankAccountRequest"}}},"required":true,"x-position":1},"responses":{"201":{"description":"Created. The request has been fulfilled and has resulted in one or more new resources being created. ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateBankAccountResponse"}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}},"get":{"tags":["Bank Accounts"],"summary":"Get list","description":"Returns client bank accounts list.","operationId":"BankAccounts_GetBankAccounts","parameters":[{"name":"clientId","in":"query","description":"Filter by Client Id. Required.","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BankAccountListItemResponse"}}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/bank-accounts/selectlist":{"get":{"tags":["Bank Accounts"],"summary":"Get select list","description":"Returns client bank accounts select list.","operationId":"BankAccounts_GetBankAccountsSelectList","parameters":[{"name":"clientId","in":"query","description":"Filter by Client Id. Required.","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BankAccountSelectListItemResponse"}}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/bank-accounts/{bankAccountId}":{"get":{"tags":["Bank Accounts"],"summary":"Get details","description":"Returns client bank account details.","operationId":"BankAccounts_GetBankAccountDetails","parameters":[{"name":"bankAccountId","in":"path","required":true,"description":"Bank account Id","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BankAccountDetails"}}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/banks/search":{"get":{"tags":["Banks"],"summary":"Search banks by name and/or swift code.","operationId":"Banks_SearchBank","parameters":[{"name":"name","in":"query","description":"Bank name.","schema":{"type":"string","nullable":true},"x-position":1},{"name":"swiftCode","in":"query","description":"Swift code.","schema":{"type":"string","nullable":true},"x-position":2}],"responses":{"200":{"description":"List of Bank dtos.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/BankDto"}}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/banks/{id}/list-item":{"get":{"tags":["Banks"],"summary":"Retrieve bank by id.","operationId":"Banks_GetBankListItem","parameters":[{"name":"id","in":"path","required":true,"description":"Bank id.","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"Bank dto.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankListDto"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"Bank not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/banks/create":{"post":{"tags":["Banks"],"summary":"Creates bank.","operationId":"Banks_CreateBank","requestBody":{"x-name":"dto","description":"BankUpdateDto.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BankUpdateDto"}}},"required":true,"x-position":1},"responses":{"200":{"description":"Return bank id.","content":{"application/json":{"schema":{"type":"integer","format":"int32"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/clients":{"get":{"tags":["Clients"],"summary":"List all Clients","description":"Returns a list of all the clients that the partner has access to.","operationId":"Client_GetClients","responses":{"200":{"description":"List of all clients.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ClientListResponse"}}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}}},"/clients/individual/{id}":{"get":{"tags":["Clients"],"summary":"Individual Client details","description":"Retrieves a single Client by Id.","operationId":"Client_GetClientIndividualDetails","parameters":[{"name":"id","in":"path","required":true,"description":"Client id to get details.","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"Individual client details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientIndividualDetailsResponse"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"Client not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}}},"/clients/institution/{id}":{"get":{"tags":["Clients"],"summary":"Institutional Client details","description":"Gets information on an existing client.","operationId":"Client_GetClientInstitutionalDetails","parameters":[{"name":"id","in":"path","required":true,"description":"Client id to get details.","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"Institutional client details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientInstitutionalDetailsResponse"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"Client not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}}},"/clients/{clientId}/documents":{"get":{"tags":["Clients"],"summary":"List Client documents","description":"Returns a list of documents linked with specified client.","operationId":"Client_GetClientDocumentsAll","parameters":[{"name":"clientId","in":"path","required":true,"description":"Client id to get documents.","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"List of documents linked with client.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FileListItemDto"}}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"Client not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}}},"/clients/{clientId}/documents/{documentId}/download":{"get":{"tags":["Clients"],"summary":"Download document","description":"Returns stream of requested document.","operationId":"Client_GetClientDocuments","parameters":[{"name":"clientId","in":"path","required":true,"description":"Client id to get documents.","schema":{"type":"integer","format":"int32"},"x-position":1},{"name":"documentId","in":"path","required":true,"description":"Document id to download.","schema":{"type":"integer","format":"int32"},"x-position":2}],"responses":{"200":{"description":"Document stream.","content":{"application/octet-stream":{"schema":{"type":"string","format":"binary"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"Client or document not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}}},"/countries":{"get":{"tags":["Countries"],"summary":"List of countries.","operationId":"Countries_GetCountries","responses":{"200":{"description":"List of CountryDto.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CountryDto"}}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/crypto-wallet/{clientId}/addresses":{"get":{"tags":["Crypto Wallet"],"summary":"Get a list of deposit addresses.","operationId":"CryptoWallet_GetAddresses","parameters":[{"name":"clientId","in":"path","required":true,"description":"Client id to get the Crypto Wallet addresses.","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"List of client's Ethereum and Bitcoin blockchain wallet deposit addresses.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CryptoWalletAddressResponse"}}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/currencies":{"get":{"tags":["Currencies"],"summary":"Gets list of currencies","operationId":"Currencies_GetCurrencies","parameters":[{"name":"currencyClass","in":"query","description":"not required when get all currency class","schema":{"nullable":true,"oneOf":[{"$ref":"#/components/schemas/CurrencyClass"}]},"x-position":1}],"responses":{"200":{"description":"List of currencies","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CurrencyListDto"}}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/currencies/{symbol}":{"get":{"tags":["Currencies"],"summary":"Get currency","operationId":"Currencies_GetCurrency","parameters":[{"name":"symbol","in":"path","required":true,"description":"Currency symbol","schema":{"type":"string","nullable":true},"x-position":1}],"responses":{"200":{"description":"Currency details","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CurrencyDetailsDto"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/instructions/deposits/fiat":{"post":{"tags":["Deposit Instructions"],"summary":"Create Fiat deposit instruction","description":"Creates a Fiat deposit instruction for the client.","operationId":"DepositInstructions_CreateFiatDepositInstruction","requestBody":{"x-name":"dto","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateFiatDepositInstructionRequest"}}},"required":true,"x-position":1},"responses":{"201":{"description":"Created. The request has been fulfilled and has resulted in one or more new resources being created. ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateFiatDepositInstructionResponse"}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Server Errors. Something went wrong on our end.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}},"get":{"tags":["Deposit Instructions"],"summary":"Fiat deposit instructions list","description":"Returns a list of client Fiat deposit instructions.","operationId":"DepositInstructions_GetFiatDepositInstructions","parameters":[{"name":"clientId","in":"query","description":"Optionally filter instructions by Client Id. If not provided, all instructions will be returned.","schema":{"type":"integer","format":"int32","nullable":true},"x-position":1}],"responses":{"200":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FiatDepositInstructionListItem"}}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Server Errors. Something went wrong on our end.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}}},"/instructions/deposits/fiat/{instructionId}":{"get":{"tags":["Deposit Instructions"],"summary":"Get Fiat deposit instruction details","description":"Returns Fiat deposit instruction details.","operationId":"DepositInstructions_GetFiatDepositInstructionDetails","parameters":[{"name":"instructionId","in":"path","required":true,"description":"Deposit instruction Id","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FiatDepositInstructionDetails"}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Server Errors. Something went wrong on our end.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}}},"/instructions/deposits/crypto":{"post":{"tags":["Deposit Instructions"],"summary":"Create Crypto deposit instruction","description":"Creates a Crypto deposit instruction for the client.","operationId":"DepositInstructions_CreateCryptoDepositInstruction","requestBody":{"x-name":"dto","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCryptoDepositInstructionRequest"}}},"required":true,"x-position":1},"responses":{"201":{"description":"Created. The request has been fulfilled and has resulted in one or more new resources being created. ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateFiatDepositInstructionResponse"}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Server Errors. Something went wrong on our end.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}},"get":{"tags":["Deposit Instructions"],"summary":"Crypto deposit instructions list","description":"Returns a list of client crypto deposit instructions.","operationId":"DepositInstructions_GetClientCryptoDepositInstructions","parameters":[{"name":"clientId","in":"query","description":"Optionally filter instructions by Client Id. If not provided, all instructions will be returned.","schema":{"type":"integer","format":"int32","nullable":true},"x-position":1}],"responses":{"200":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CryptoDepositInstructionListItem"}}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Server Errors. Something went wrong on our end.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}}},"/instructions/deposits/crypto/{instructionId}":{"get":{"tags":["Deposit Instructions"],"summary":"Get crypto deposit instruction details","description":"Returns crypto deposit instruction details.","operationId":"DepositInstructions_GetCryptoDepositInstructionDetails","parameters":[{"name":"instructionId","in":"path","required":true,"description":"Deposit instruction Id","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoDepositInstructionDetails"}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Server Errors. Something went wrong on our end.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}}},"/legal-entities":{"get":{"tags":["Legal Entities"],"summary":"List of legal entities.","description":"Returns a list of the legal entities that the partner has access to.","operationId":"LegalEntities_GetLegalEntitiesList","responses":{"200":{"description":"List of legal entities.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LegalEntityListResponse"}}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}}},"/legal-entities/individual/{id}":{"get":{"tags":["Legal Entities"],"summary":"Individual legal entity details.","description":"Retrieves a single legal entity by id.","operationId":"LegalEntities_GetLegalEntityIndividualDetails","parameters":[{"name":"id","in":"path","required":true,"description":"Legal entity id to get details.","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"Individual legal entity details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegalEntityIndividualDetailsResponse"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"Legal entity not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}}},"/legal-entities/institution/{id}":{"get":{"tags":["Legal Entities"],"summary":"Institutional legal entity details.","description":"Retrieves a single legal entity by id.","operationId":"LegalEntities_GetLegalEntityInstitutionalDetails","parameters":[{"name":"id","in":"path","required":true,"description":"Legal entity id to get details.","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"Institutional legal entity details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegalEntityInstitutionalDetailsResponse"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"Legal entity not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}}},"/legal-entities/{id}/links":{"get":{"tags":["Legal Entities"],"summary":"List of legal entity links with other entities.","description":"Gets list of links with other entities for specified legal entity.","operationId":"LegalEntities_GetLegalEntityLinks","parameters":[{"name":"id","in":"path","required":true,"description":"Legal entity id to get links.","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"List of legal entity links with other entities.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/LegalEntityLinkListResponse"}}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}}},"/packages":{"get":{"tags":["Packages"],"summary":"Gets list of available services and packages.","operationId":"Packages_GetListByTypePackages","parameters":[{"name":"legalEntityType","in":"query","required":true,"schema":{"$ref":"#/components/schemas/LegalEntityType"},"x-position":1}],"responses":{"200":{"description":"List of Service Package","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ServicePackagesDto"}}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/packages/{code}":{"get":{"tags":["Packages"],"summary":"Gets Retrieves package by code.","operationId":"Packages_GetPackagesByCode","parameters":[{"name":"code","in":"path","required":true,"description":"Package code","schema":{"type":"string"},"x-position":1}],"responses":{"200":{"description":"ServicePackagesDto","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServicePackagesDto"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/packages/agreements":{"get":{"tags":["Packages"],"summary":"Gets Retrieves agreements by package id.","operationId":"Packages_GetAgreementsByPackageIds","parameters":[{"name":"ids","in":"query","required":true,"description":"Package ids separated by comma","schema":{"type":"string"},"x-position":1}],"responses":{"200":{"description":"List of AgreementDto","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AgreementDto"}}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/instructions/payments/fiat":{"post":{"tags":["Payment Instructions"],"summary":"Create Fiat payment instruction","description":"Creates a Fiat payment instruction for the client.","operationId":"PaymentInstructions_CreateFiatPaymentInstruction","requestBody":{"x-name":"dto","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateFiatPaymentInstructionRequest"}}},"required":true,"x-position":1},"responses":{"201":{"description":"Created. The request has been fulfilled and has resulted in one or more new resources being created. ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateFiatPaymentInstructionResponse"}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Server Errors. Something went wrong on our end.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}},"get":{"tags":["Payment Instructions"],"summary":"Fiat payment instructions list","description":"Returns a list of fiat payment instructions.","operationId":"PaymentInstructions_GetFiatPaymentInstructions","parameters":[{"name":"clientId","in":"query","description":"Optionally filter instructions by Client Id. If not provided, all instructions will be returned.","schema":{"type":"integer","format":"int32","nullable":true},"x-position":1}],"responses":{"200":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FiatPaymentInstructionListItem"}}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Server Errors. Something went wrong on our end.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/instructions/payments/fiat/{instructionId}":{"get":{"tags":["Payment Instructions"],"summary":"Get Fiat payment instruction details","description":"Returns Fiat payment instruction details.","operationId":"PaymentInstructions_GetFiatPaymentInstructionDetails","parameters":[{"name":"instructionId","in":"path","required":true,"description":"Payment instruction Id","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateFiatPaymentInstructionResponse"}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"Requested resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Server Errors. Something went wrong on our end.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/instructions/payments/crypto":{"post":{"tags":["Payment Instructions"],"summary":"Create crypto payment instruction","description":"Creates a crypto payment instruction for the client.","operationId":"PaymentInstructions_CreateCryptoPaymentInstruction","requestBody":{"x-name":"dto","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCryptoPaymentInstructionRequest"}}},"required":true,"x-position":1},"responses":{"201":{"description":"Created. The request has been fulfilled and has resulted in one or more new resources being created. ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCryptoPaymentInstructionResponse"}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Server Errors. Something went wrong on our end.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}},"get":{"tags":["Payment Instructions"],"summary":"Crypto payment instructions list","description":"Returns a list of crypto payment instructions.","operationId":"PaymentInstructions_GetCryptoPaymentInstructions","parameters":[{"name":"clientId","in":"query","description":"Optionally filter instructions by Client Id. If not provided, all instructions will be returned.","schema":{"type":"integer","format":"int32","nullable":true},"x-position":1}],"responses":{"200":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CryptoPaymentInstructionListItem"}}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/instructions/payments/crypto/{instructionId}":{"get":{"tags":["Payment Instructions"],"summary":"Get crypto payment instruction details","description":"Returns crypto payment instruction details.","operationId":"PaymentInstructions_GetCryptoPaymentInstructionDetails","parameters":[{"name":"instructionId","in":"path","required":true,"description":"Payment instruction Id","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoPaymentInstructionDetails"}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"Requested resource not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Server Errors. Something went wrong on our end.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/service-entities":{"get":{"tags":["Service Entities"],"summary":"List of service entities.","description":"Returns a list of the service entities that the partner has access to.","operationId":"ServiceEntities_GetServiceEntitiesList","parameters":[{"name":"clientId","in":"query","description":"Filter results by Client Id. Optional.","schema":{"type":"integer","format":"int32","nullable":true},"x-position":1}],"responses":{"200":{"description":"List of service entities.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceEntityListResponse"}}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}}},"/service-entities/{id}":{"get":{"tags":["Service Entities"],"summary":"Service entity details.","description":"Retrieves a single service entity by id.","operationId":"ServiceEntities_GetServiceEntityDetails","parameters":[{"name":"id","in":"path","required":true,"description":"Service entity id to get details.","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"Service entity details.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServiceEntityDetailsResponse"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"Service entity not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}}},"/service-entities/{id}/accounts":{"get":{"tags":["Service Entities"],"summary":"List of service entity accounts.","description":"Gets list of service accounts for specified service entity.","operationId":"ServiceEntities_GetServiceEntityAccounts","parameters":[{"name":"id","in":"path","required":true,"description":"Service entity id to get accounts.","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"List of service entity accounts.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceEntityAccountListResponse"}}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"Service entity account not found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}}},"/service-entities/{id}/agreements":{"get":{"tags":["Service Entities"],"summary":"List of service entity agreements.","description":"Gets list of service agreements for specified service entity.","operationId":"ServiceEntities_GetServiceEntityAgreements","parameters":[{"name":"id","in":"path","required":true,"description":"Service entity id to get agreements.","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"List of service entity agreements.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ServiceEntityAgreementListResponse"}}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}}},"/service-entities/{id}/transactions":{"get":{"tags":["Service Entities"],"summary":"List of service entity transactions.","description":"Gets list of transactions for specified service entity.","operationId":"ServiceEntities_GetTransactions","parameters":[{"name":"id","in":"path","required":true,"description":"Service entity id to get transactions.","schema":{"type":"integer","format":"int32"},"x-position":1},{"name":"saId","in":"query","description":"Service account Id. optional.","schema":{"type":"integer","format":"int32","nullable":true},"x-position":2},{"name":"pI","in":"query","description":"Pagination: page number to request.","schema":{"type":"integer","format":"int32","nullable":true},"x-position":3},{"name":"pS","in":"query","description":"Pagination: size of one page","schema":{"type":"integer","format":"int32","nullable":true},"x-position":4}],"responses":{"200":{"description":"List of service entity transactions.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PagedListOfServiceEntityTransactionListResponse"}}}},"400":{"description":"The provided input parameters are not valid.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}}}}},"/3rd-party-bank-accounts":{"post":{"tags":["3rd-party Bank Accounts"],"summary":"Create a 3rd-party bank account","description":"Creates a 3rd-party bank account for the client.","operationId":"ThirdPartyBankAccounts_AddBankAccount","requestBody":{"x-name":"model","description":"Bank account model","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateThirdPartyBankAccountRequest"}}},"required":true,"x-position":1},"responses":{"201":{"description":"Created. The request has been fulfilled and has resulted in one or more new resources being created. ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateThirdPartyBankAccountResponse"}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}},"get":{"tags":["3rd-party Bank Accounts"],"summary":"Get list","description":"Returns 3rd-party bank accounts list.","operationId":"ThirdPartyBankAccounts_GetList","parameters":[{"name":"clientId","in":"query","description":"Filter by Client Id. Required.","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ThirdPartyBankAccountListItemResponse"}}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/3rd-party-bank-accounts/selectlist":{"get":{"tags":["3rd-party Bank Accounts"],"summary":"Get select list","description":"Returns 3rd-party bank accounts select list.","operationId":"ThirdPartyBankAccounts_GetSelectList","parameters":[{"name":"clientId","in":"query","description":"Filter by Client Id. Required.","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ThirdPartyBankAccountSelectListItemResponse"}}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/3rd-party-bank-accounts/{bankAccountId}":{"get":{"tags":["3rd-party Bank Accounts"],"summary":"Get details","description":"Returns 3rd-party bank account details.","operationId":"ThirdPartyBankAccounts_GetBankAccountDetails","parameters":[{"name":"bankAccountId","in":"path","required":true,"description":"Bank account Id","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ThirdPartyBankAccountDetails"}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"404":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/instructions/transfer":{"post":{"tags":["Transfer Instructions"],"summary":"Create transfer instruction","description":"Creates a transfer instruction for the client.","operationId":"TransferInstructions_CreateTransferInstruction","requestBody":{"x-name":"dto","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTransferInstructionRequest"}}},"required":true,"x-position":1},"responses":{"201":{"description":"Created. The request has been fulfilled and has resulted in one or more new resources being created. ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateTransferInstructionResponse"}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Server Errors. Something went wrong on our end.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}},"get":{"tags":["Transfer Instructions"],"summary":"Transfer instructions list","description":"Returns a list of transfer instructions.","operationId":"TransferInstructions_GetTransferInstructions","parameters":[{"name":"clientId","in":"query","description":"Optionally filter instructions by Client Id. If not provided, all instructions will be returned.","schema":{"type":"integer","format":"int32","nullable":true},"x-position":1}],"responses":{"200":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/TransferInstructionsListItem"}}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/instructions/transfer/{instructionId}":{"post":{"tags":["Transfer Instructions"],"summary":"Get transfer instruction details","description":"Returns transfer instruction details.","operationId":"TransferInstructions_GetTransferInstructionDetails","parameters":[{"name":"instructionId","in":"path","required":true,"description":"Transfer instruction Id","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"201":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TransferInstructionsDetails"}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/instructions/withdrawals/fiat":{"post":{"tags":["Withdrawal Instructions"],"summary":"Create Fiat withdrawal instruction","description":"Creates a Fiat withdrawal instruction for the client.","operationId":"WithdrawalInstructions_CreateFiatWithdrawalInstruction","requestBody":{"x-name":"dto","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateFiatWithdrawalInstructionRequest"}}},"required":true,"x-position":1},"responses":{"201":{"description":"Created. The request has been fulfilled and has resulted in one or more new resources being created. ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateFiatWithdrawalInstructionResponse"}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Server Errors. Something went wrong on our end.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}},"get":{"tags":["Withdrawal Instructions"],"summary":"Fiat withdrawal instructions list","description":"Returns a list of client Fiat withdrawal instructions.","operationId":"WithdrawalInstructions_GetFiatWithdrawalInstructions","parameters":[{"name":"clientId","in":"query","description":"Optionally filter instructions by Client Id. If not provided, all instructions will be returned.","schema":{"type":"integer","format":"int32","nullable":true},"x-position":1}],"responses":{"200":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/FiatWithdrawalInstructionListItem"}}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Server Errors. Something went wrong on our end.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/instructions/withdrawals/fiat/{instructionId}":{"get":{"tags":["Withdrawal Instructions"],"summary":"Get Fiat withdrawal instruction details","description":"Returns Fiat withdrawal instruction details.","operationId":"WithdrawalInstructions_GetFiatWithdrawalInstructionDetails","parameters":[{"name":"instructionId","in":"path","required":true,"description":"Withdrawal instruction Id","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FiatWithdrawalInstructionDetails"}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Server Errors. Something went wrong on our end.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/instructions/withdrawals/crypto":{"post":{"tags":["Withdrawal Instructions"],"summary":"Create crypto withdrawal instruction","description":"Creates a crypto withdrawal instruction for the client.","operationId":"WithdrawalInstructions_CreateCryptoWithdrawalInstruction","requestBody":{"x-name":"dto","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCryptoWithdrawalInstructionRequest"}}},"required":true,"x-position":1},"responses":{"201":{"description":"Created. The request has been fulfilled and has resulted in one or more new resources being created. ","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateCryptoWithdrawalInstructionResponse"}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Server Errors. Something went wrong on our end.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}},"get":{"tags":["Withdrawal Instructions"],"summary":"Crypto withdrawal instructions list","description":"Returns a list of client crypto withdrawal instructions.","operationId":"WithdrawalInstructions_GetClientCryptoWithdrawalInstructions","parameters":[{"name":"clientId","in":"query","description":"Optionally filter instructions by Client Id. If not provided, all instructions will be returned.","schema":{"type":"integer","format":"int32","nullable":true},"x-position":1}],"responses":{"200":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/CryptoWithdrawalInstructionListItem"}}}}},"400":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Server Errors. Something went wrong on our end.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}},"/instructions/withdrawals/crypto/{instructionId}":{"get":{"tags":["Withdrawal Instructions"],"summary":"Get crypto withdrawal instruction details","description":"Returns crypto withdrawal instruction details.","operationId":"WithdrawalInstructions_GetCryptoWithdrawalInstructionDetails","parameters":[{"name":"instructionId","in":"path","required":true,"description":"Withdrawal instruction Id","schema":{"type":"integer","format":"int32"},"x-position":1}],"responses":{"200":{"description":"OK. Everything worked as expected.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CryptoWithdrawalInstructionDetails"}}}},"400":{"description":"Bad Request. The request was not accepted, due to the wrong format of the request or invalid data.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"403":{"description":"Forbidden. Partner does not have access to the requested resource.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"500":{"description":"Server Errors. Something went wrong on our end.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationProblemDetails"}}}},"default":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AgreementDto":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"integer","description":"Agreement Id.","format":"int32"},"name":{"type":"string","description":"Agreement name."},"text":{"type":"string","description":"Agreement text."},"title":{"type":"string","description":"Agreement title."},"customText":{"type":"string","description":"Agreement custom text.","nullable":true}}},"ValidationProblemDetails":{"allOf":[{"$ref":"#/components/schemas/ProblemDetails"},{"type":"object","additionalProperties":{"nullable":true},"properties":{"errors":{"type":"object","nullable":true,"additionalProperties":{"type":"array","items":{"type":"string"}}}}}]},"ProblemDetails":{"type":"object","additionalProperties":{"nullable":true},"properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true},"extensions":{"type":"object","nullable":true,"additionalProperties":{}}}},"NewApplicationResponseDto":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"integer","description":"Application id.","format":"int32"},"fullName":{"type":"string","description":"Application full name."},"legalEntityType":{"description":"Application legal entity type.","oneOf":[{"$ref":"#/components/schemas/LegalEntityType"}]}}},"LegalEntityType":{"type":"string","description":"","x-enumNames":["Individual","Institution"],"enum":["Individual","Institution"]},"NewIndividualApplicationDto":{"type":"object","additionalProperties":false,"properties":{"individualDetails":{"description":"Individual details","oneOf":[{"$ref":"#/components/schemas/IndividualDetails"}]},"residentialAddress":{"description":"Individual residential address","oneOf":[{"$ref":"#/components/schemas/Address"}]},"phone":{"description":"Individual Phone","oneOf":[{"$ref":"#/components/schemas/Phone"}]},"correspondenceAddress":{"description":"Individual correspondence address","nullable":true,"oneOf":[{"$ref":"#/components/schemas/Address"}]},"taxResidency":{"type":"array","description":"Individual Tax residency","nullable":true,"items":{"$ref":"#/components/schemas/TaxResidency"}},"userIdentity":{"description":"User identity","oneOf":[{"$ref":"#/components/schemas/IdentityUser"}]},"agreements":{"type":"array","description":"Agreements","nullable":true,"items":{"type":"integer","format":"int32"}},"relatedPersons":{"type":"array","description":"Related persons","nullable":true,"items":{"$ref":"#/components/schemas/ClientRelatedPersonToAddDto"}},"clientCaseNote":{"description":"Client case note","nullable":true,"oneOf":[{"$ref":"#/components/schemas/ClientCaseNoteDto"}]}}},"IndividualDetails":{"type":"object","additionalProperties":false,"required":["firstName","lastName"],"properties":{"firstName":{"type":"string","description":"First name of a client.","minLength":1},"middleName":{"type":"string","description":"Middle name of a client.","nullable":true},"lastName":{"type":"string","description":"Last name of a client.","minLength":1},"birthday":{"type":"string","description":"Birthday of the client.","format":"date-time"},"gender":{"type":"string","description":"Gender of the client.","nullable":true},"passportNumber":{"type":"string","description":"Passport of the client.","nullable":true},"maritalStatus":{"description":"Marital status of the client.","nullable":true,"oneOf":[{"$ref":"#/components/schemas/MaritalStatus"}]},"citizenshipId":{"type":"integer","description":"CitizenshipId of the client.","format":"int32"},"secondCitizenshipId":{"type":"integer","description":"SecondCitizenshipId of the client.","format":"int32","nullable":true},"alias":{"type":"string","description":"Alias of the client.","nullable":true}}},"MaritalStatus":{"type":"string","description":"","x-enumNames":["Single","Married","Divorced","Widowed"],"enum":["Single","Married","Divorced","Widowed"]},"Address":{"type":"object","additionalProperties":false,"required":["line1","city","countryId"],"properties":{"line1":{"type":"string","description":"Line1 of the address.","maxLength":256,"minLength":0},"line2":{"type":"string","description":"Line2 of the address.","maxLength":256,"minLength":0,"nullable":true},"city":{"type":"string","description":"City of the address.","maxLength":64,"minLength":0},"postalCode":{"type":"string","description":"Postal code of the address.","maxLength":32,"minLength":0,"nullable":true},"stateProvince":{"type":"string","description":"State/province of the address.","maxLength":64,"minLength":0,"nullable":true},"countryId":{"type":"integer","description":"Country id of the address.","format":"int32"}}},"Phone":{"type":"object","additionalProperties":false,"required":["phoneNumber","countryId","countryCode","type"],"properties":{"phoneNumber":{"type":"string","description":"Phone number.","format":"phone","maxLength":36,"minLength":0},"countryId":{"type":"integer","description":"Country id.","format":"int32"},"countryCode":{"type":"integer","description":"Country code.","format":"int32"},"type":{"description":"Phone type.","oneOf":[{"$ref":"#/components/schemas/PhoneType"}]}}},"PhoneType":{"type":"string","description":"","x-enumNames":["Mobile","Home","Office"],"enum":["Mobile","Home","Office"]},"TaxResidency":{"type":"object","additionalProperties":false,"required":["countryId"],"properties":{"countryId":{"type":"integer","description":"Country id.","format":"int32"},"taxId":{"type":"string","description":"Tax Identification Number or its equivelent.","nullable":true},"reason":{"type":"string","description":"Reason for no Tax Identification Number.","nullable":true}}},"IdentityUser":{"type":"object","additionalProperties":false,"required":["email","password"],"properties":{"email":{"type":"string","description":"User email.","format":"email","minLength":1},"password":{"type":"string","description":"User password.","minLength":1}}},"ClientRelatedPersonToAddDto":{"type":"object","additionalProperties":false,"required":["roles"],"properties":{"individualDetails":{"description":"Individual details","nullable":true,"oneOf":[{"$ref":"#/components/schemas/IndividualDetailDto"}]},"passport":{"description":"Individual passport","nullable":true,"oneOf":[{"$ref":"#/components/schemas/TemporaryUploadedFileDto"}]},"roles":{"type":"array","description":"LegalEntity link role","items":{"$ref":"#/components/schemas/LegalEntityLinkRole"}},"isBeneficialOwner":{"type":"boolean","description":"Is Beneficial Owner"},"directOwnership":{"type":"number","description":"Direct ownership","format":"decimal","nullable":true},"indirectOwnership":{"type":"number","description":"Indirect ownership","format":"decimal","nullable":true},"hasOnlineAccess":{"type":"boolean","description":"Indirect Ownership"},"email":{"type":"string","description":"Email"},"password":{"type":"string","description":"Password"}}},"IndividualDetailDto":{"type":"object","additionalProperties":false,"required":["firstName","lastName"],"properties":{"id":{"type":"integer","description":"Id of individual, not relevant when create ","format":"int32"},"internalId":{"type":"string","description":"Internal id of individual, not relevant when create","format":"guid"},"userId":{"type":"string","description":"User id of the individual, not relevant when create","nullable":true},"firstName":{"type":"string","description":"First name of the individual","minLength":1},"middleName":{"type":"string","description":"Middle name of the individual","nullable":true},"lastName":{"type":"string","description":"Last name of the individual","minLength":1},"fullName":{"type":"string","description":"Full name of the individual","nullable":true},"birthday":{"type":"string","description":"Birthday of the individual","format":"date-time"},"gender":{"type":"string","description":"Gender of the individual","nullable":true},"passportNumber":{"type":"string","description":"Passport number of the individual","nullable":true},"alias":{"type":"string","description":"Alias of the individual","nullable":true},"maritalStatus":{"description":"Marial Status of the individual","nullable":true,"oneOf":[{"$ref":"#/components/schemas/MaritalStatus"}]},"citizenshipId":{"type":"integer","description":"Citizenship id (Country id) of the individual","format":"int32"},"secondCitizenshipId":{"type":"integer","description":"Second Citizenship id (Country id) of the individual","format":"int32","nullable":true},"onfidoApplicantId":{"type":"string","description":"Onfido applicant id of the individual","nullable":true},"timeZone":{"type":"string","description":"Timezone of the individual","nullable":true},"receiveProductUpdateNews":{"type":"boolean","description":"to receive product update news or not"},"verificationStatus":{"description":"Verification status of the individual","oneOf":[{"$ref":"#/components/schemas/IndividualDetailsVerificationStatus"}]}}},"IndividualDetailsVerificationStatus":{"type":"string","description":"","x-enumNames":["None","Unverified","PendingVerification","AwaitingInfo","PendingReview","Verified","Declined"],"enum":["None","Unverified","PendingVerification","AwaitingInfo","PendingReview","Verified","Declined"]},"TemporaryUploadedFileDto":{"type":"object","additionalProperties":false,"properties":{"key":{"type":"string","description":"S3 key"},"size":{"type":"integer","description":"File size","format":"int64"},"contentType":{"type":"string","description":"File content type"},"documentType":{"description":"Document type","nullable":true,"oneOf":[{"$ref":"#/components/schemas/DocumentType"}]},"userId":{"type":"string","description":"User id","nullable":true}}},"DocumentType":{"type":"string","description":"","x-enumNames":["BankStatement","BirthCertificate","CertificateOfInsurance","CertificateOfNaturalisation","DrivingLicence","GovernmentLetter","HomeOfficeLetter","ImmigrationStatusDocument","MarriageCertificate","NationalIdentityCard","NationalInsuranceCard","Passport","Payslip","ResidencePermit","TaxId","UtilityBillElectric","UtilityBillGas","UtilityBillOther","WorkPermit","W8Ben","LossUsNationality","ArticlesOfAssociation","CertificateOfIncorporation","RegisterOfMembers","RegisterOfDirectors","AnnualReturns","FinancialStatements","UtilityBillWater","UtilityBillLandlinePhone","UtilityBillInternet","CreditCardStatement","TaxReceipt","Other"],"enum":["BankStatement","BirthCertificate","CertificateOfInsurance","CertificateOfNaturalisation","DrivingLicence","GovernmentLetter","HomeOfficeLetter","ImmigrationStatusDocument","MarriageCertificate","NationalIdentityCard","NationalInsuranceCard","Passport","Payslip","ResidencePermit","TaxId","UtilityBillElectric","UtilityBillGas","UtilityBillOther","WorkPermit","W8Ben","LossUsNationality","ArticlesOfAssociation","CertificateOfIncorporation","RegisterOfMembers","RegisterOfDirectors","AnnualReturns","FinancialStatements","UtilityBillWater","UtilityBillLandlinePhone","UtilityBillInternet","CreditCardStatement","TaxReceipt","Other"]},"LegalEntityLinkRole":{"type":"string","description":"","x-enumNames":["AuthorizedPerson","ContactPerson","Agent","Director","Member"],"enum":["AuthorizedPerson","ContactPerson","Agent","Director","Member"]},"ClientCaseNoteDto":{"type":"object","additionalProperties":false,"properties":{"note":{"type":"string","description":"Client case note","nullable":true},"remark":{"type":"string","description":"Client case note remark","nullable":true}}},"NewInstitutionApplicationDto":{"type":"object","additionalProperties":false,"required":["institutionDetails","registeredAddress","phone","email","taxResidency"],"properties":{"institutionDetails":{"description":"Institution details","oneOf":[{"$ref":"#/components/schemas/InstitutionDetails"}]},"registeredAddress":{"description":"Institution registered address","oneOf":[{"$ref":"#/components/schemas/Address"}]},"phone":{"description":"Institution phone","oneOf":[{"$ref":"#/components/schemas/Phone"}]},"email":{"type":"string","description":"Institution email","minLength":1},"operatingAddress":{"description":"Institution operating address","nullable":true,"oneOf":[{"$ref":"#/components/schemas/Address"}]},"taxResidency":{"type":"array","description":"Institution Tax residency","items":{"$ref":"#/components/schemas/TaxResidency"}},"relatedPersons":{"type":"array","description":"Institution related persons","nullable":true,"items":{"$ref":"#/components/schemas/ClientRelatedPersonToAddDto"}},"clientCaseNote":{"description":"Client case note","nullable":true,"oneOf":[{"$ref":"#/components/schemas/ClientCaseNoteDto"}]}}},"InstitutionDetails":{"type":"object","additionalProperties":false,"required":["registeredName","registrationNumber","registrationDate","jurisdictionCountryId"],"properties":{"registeredName":{"type":"string","minLength":1},"registrationNumber":{"type":"string","minLength":1},"alias":{"type":"string","nullable":true},"registrationDate":{"type":"string","format":"date-time","minLength":1},"jurisdictionCountryId":{"type":"integer","format":"int32"},"website":{"type":"string","nullable":true}}},"ApplicationsListItem":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"integer","description":"Application id.","format":"int32"},"type":{"description":"LegalEntity type.","oneOf":[{"$ref":"#/components/schemas/LegalEntityType"}]},"fullName":{"type":"string","description":"Fullname of the client."},"reference":{"type":"string","description":"Application form reference."},"status":{"description":"Application form status.","oneOf":[{"$ref":"#/components/schemas/ApplicationFormStatus"}]},"dateCreated":{"type":"string","description":"Datetime when application is created.","format":"date-time"}}},"ApplicationFormStatus":{"type":"string","description":"","x-enumNames":["Started","WaitingForReview","ReviewInProgress","WaitingForInfo","Approved","Declined"],"enum":["Started","WaitingForReview","ReviewInProgress","WaitingForInfo","Approved","Declined"]},"ApplicationStatusResponse":{"type":"object","additionalProperties":false,"properties":{"status":{"description":"Application form status","oneOf":[{"$ref":"#/components/schemas/ApplicationFormStatus"}]}}},"LegalEntityEmailAddressResponse":{"type":"object","additionalProperties":false,"properties":{"email":{"description":"Email address.","oneOf":[{"$ref":"#/components/schemas/Email"}]},"verificationStatus":{"description":"Email address verification status.","oneOf":[{"$ref":"#/components/schemas/EmailVerificationStatus"}]}}},"Email":{"allOf":[{"$ref":"#/components/schemas/ValueObject"},{"type":"object","additionalProperties":false,"properties":{"emailAddress":{"type":"string","maxLength":255,"nullable":true}}}]},"ValueObject":{"type":"object","x-abstract":true,"additionalProperties":false},"EmailVerificationStatus":{"type":"string","description":"","x-enumNames":["None","Unverified","Verified"],"enum":["None","Unverified","Verified"]},"LegalEntityPhoneNumberResponse":{"type":"object","additionalProperties":false,"properties":{"phone":{"description":"Phone.","nullable":true,"oneOf":[{"$ref":"#/components/schemas/Phone"}]},"verificationStatus":{"description":"Phone verification status.","oneOf":[{"$ref":"#/components/schemas/PhoneVerificationStatus"}]}}},"PhoneVerificationStatus":{"type":"string","description":"","x-enumNames":["None","Unverified","Verified"],"enum":["None","Unverified","Verified"]},"AddBankAccountDto":{"type":"object","additionalProperties":false,"required":["accountHolder","accountNumber"],"properties":{"bankId":{"type":"integer","description":"Bank id.","format":"int32"},"accountHolder":{"type":"string","description":"Account holder.","minLength":1},"accountNumber":{"type":"string","description":"Account number.","minLength":1},"clearingCode":{"type":"string","description":"Clearing code.","nullable":true}}},"SetServicePackagesDto":{"type":"object","additionalProperties":false,"required":["packageIds","agreementIds","fullName"],"properties":{"packageIds":{"type":"array","description":"Service packages ids.","items":{"type":"integer","format":"int32"}},"agreementIds":{"type":"array","description":"Agreement Ids.","items":{"type":"integer","format":"int32"}},"fullName":{"type":"string","description":"Full name of the client.","minLength":1}}},"UploadFileDto":{"type":"object","additionalProperties":false,"properties":{"base64":{"type":"string","description":"Base64 of the file."},"fileName":{"type":"string","description":"File name"},"contentType":{"type":"string","description":"File content type"}}},"SupportinDocumentsResponse":{"type":"object","additionalProperties":false,"properties":{"photoId":{"description":"Identity proof file.","nullable":true,"oneOf":[{"$ref":"#/components/schemas/TemporaryUploadedFile"}]},"addressProof":{"description":"Address proof file.","nullable":true,"oneOf":[{"$ref":"#/components/schemas/TemporaryUploadedFile"}]}}},"TemporaryUploadedFile":{"type":"object","additionalProperties":false,"properties":{"key":{"type":"string","nullable":true},"size":{"type":"integer","format":"int64"},"contentType":{"type":"string","nullable":true},"userId":{"type":"string","nullable":true},"dateCreated":{"type":"string","format":"date-time"}}},"UploadDocumentRequest":{"type":"object","additionalProperties":false,"required":["documentGroupType","documentType","base64","fileName","contentType"],"properties":{"documentGroupType":{"description":"Document group type.","oneOf":[{"$ref":"#/components/schemas/DocumentTypeGroup"}]},"documentType":{"description":"Document type.","oneOf":[{"$ref":"#/components/schemas/DocumentType"}]},"base64":{"type":"string","description":"Base64 of the file.","minLength":1},"fileName":{"type":"string","description":"File name.","minLength":1},"contentType":{"type":"string","description":"Content type of the file.","minLength":1}}},"DocumentTypeGroup":{"type":"string","description":"","x-enumNames":["AddressProof","IdentityProof","FundsProof","Other"],"enum":["AddressProof","IdentityProof","FundsProof","Other"]},"EnumTypeDisplayDtoOfDocumentType":{"type":"object","additionalProperties":false,"properties":{"id":{"$ref":"#/components/schemas/DocumentType"},"name":{"type":"string","nullable":true}}},"CreateBankAccountResponse":{"allOf":[{"$ref":"#/components/schemas/BankAccountResponseBase"},{"type":"object","additionalProperties":false}]},"BankAccountResponseBase":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"integer","description":"Bank account Id","format":"int32"},"clientId":{"type":"integer","description":"Client Id","format":"int32"},"clientName":{"type":"string","description":"Client name"},"name":{"type":"string","description":"Custom bank account name, if provided","nullable":true},"accountHolder":{"type":"string","description":"Bank account holder full name"},"accountNumber":{"type":"string","description":"IBAN or basic bank account number. "},"clearingCode":{"type":"string","description":"Clearing code, if provided","nullable":true},"isPrimary":{"type":"boolean","description":"Is primary bank account or not"},"bank":{"description":"Bank details","oneOf":[{"$ref":"#/components/schemas/BankDto"}]}}},"BankDto":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"integer","description":"Bank id","format":"int32"},"name":{"type":"string","description":"Bank name"},"branch":{"type":"string","description":"Branch name, if specified.","nullable":true},"swiftCode":{"type":"string","description":"SWIFT / BIC code"},"countryId":{"type":"integer","description":"Bank country id","format":"int32"},"city":{"type":"string","description":"Bank city"},"isDeleted":{"type":"boolean","description":"Is deleted"}}},"CreateBankAccountRequest":{"type":"object","additionalProperties":false,"required":["clientId","bankId","accountHolder","accountNumber"],"properties":{"clientId":{"type":"integer","description":"Client Id","format":"int32"},"bankId":{"type":"integer","description":"Bank Id","format":"int32"},"accountHolder":{"type":"string","description":"Account holder full name. ","minLength":1},"accountNumber":{"type":"string","description":"IBAN or basic bank account number. ","minLength":1},"clearingCode":{"type":"string","description":"Clearing code, if provided","nullable":true}}},"BankAccountSelectListItemResponse":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"integer","description":"Bank account Id","format":"int32"},"bankName":{"type":"string","description":"Bank Name","nullable":true},"accountNumber":{"type":"string","description":"IBAN or basic bank account number","nullable":true}}},"BankAccountListItemResponse":{"allOf":[{"$ref":"#/components/schemas/BankAccountResponseBase"},{"type":"object","additionalProperties":false}]},"BankAccountDetails":{"allOf":[{"$ref":"#/components/schemas/BankAccountResponseBase"},{"type":"object","additionalProperties":false}]},"BankListDto":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"integer","description":"Bank id","format":"int32"},"name":{"type":"string","description":"Bank name"},"swiftCode":{"type":"string","description":"Bank swift code"}}},"BankUpdateDto":{"type":"object","additionalProperties":false,"required":["name","countryId","swiftCode","city"],"properties":{"name":{"type":"string","minLength":1},"countryId":{"type":"integer","format":"int32"},"swiftCode":{"type":"string","minLength":1},"city":{"type":"string","minLength":1},"branch":{"type":"string","nullable":true}}},"ClientListResponse":{"type":"object","description":"Client info.","additionalProperties":false,"properties":{"id":{"type":"integer","description":"Client id.","format":"int32"},"legalEntityName":{"type":"string","description":"Legal entity name.","nullable":true},"legalEntityType":{"description":"Legal entity type.","oneOf":[{"$ref":"#/components/schemas/LegalEntityType"}]},"reference":{"type":"integer","description":"Reference number of client.","format":"int64"},"clientSince":{"type":"string","description":"Client registration date.","format":"date-time"},"relationshipManager":{"type":"string","description":"Client relationship manager name.","nullable":true},"status":{"description":"Client account status.","oneOf":[{"$ref":"#/components/schemas/AccountStatus"}]}}},"AccountStatus":{"type":"string","description":"","x-enumNames":["None","Active","Dormant","Suspended","Closed"],"enum":["None","Active","Dormant","Suspended","Closed"]},"ClientIndividualDetailsResponse":{"type":"object","description":"Individual client details.","additionalProperties":false,"properties":{"id":{"type":"integer","description":"Client id.","format":"int32"},"reference":{"type":"integer","description":"Reference number of client.","format":"int64"},"clientSince":{"type":"string","description":"Client registration date.","format":"date-time"},"relationshipManager":{"type":"string","description":"Client relationship manager name.","nullable":true},"legalEntityType":{"description":"Client legal entity type.","oneOf":[{"$ref":"#/components/schemas/LegalEntityType"}]},"entityParticulars":{"description":"Client particulars.","nullable":true,"oneOf":[{"$ref":"#/components/schemas/EntityParticulars"}]},"linkedEntities":{"type":"array","description":"Enities linked with this client.","nullable":true,"items":{"$ref":"#/components/schemas/
[...]
